/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package HumanResMgmt.SkillAcquisition;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval
 * @alias SkillAcquisitionProgramParticipation
 */
public class SkillAcqProgramPartic {
    public void makeSkillAcquisitionProgramParticipation() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    public Vector mi_compareSkillBeforeAndAfter() {
        return new Vector();
    }

    public static Vector findQualifiedEmployeesFromTo() {
        return new Vector();
    }

    public static Vector listSkillAcquisitionProgramParticipations() {
        return new Vector();
    }

    private int attendanceRecord;
    private int status;

    /**  */

    /**
     * @clientCardinality 0..1
     * @supplierCardinality 0..*
     * @supplierRole "before,after" pairs
     */
    private SkillRating lnkUnnamed;
}


